<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/white"
    android:orientation="vertical">

    <ImageView
        android:id="@+id/icon_image"
        android:layout_width="38dp"
        android:layout_height="38dp"

        android:layout_marginTop="20dp"
        android:src="@drawable/post_icon_test"
        app:layout_constraintStart_toStartOf="@+id/post_image"
        app:layout_constraintTop_toTopOf="parent">

    </ImageView>

    <TextView
        android:id="@+id/name_user"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="20dp"
        android:text="Pepe_master"
        android:textColor="@color/vulcan"
        android:textStyle="bold"
        app:layout_constraintStart_toEndOf="@+id/icon_image"
        app:layout_constraintTop_toTopOf="parent">

    </TextView>

    <TextView
        android:id="@+id/date_post"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"

        android:text="1 day ago"
        app:layout_constraintStart_toEndOf="@+id/icon_image"
        app:layout_constraintTop_toBottomOf="@+id/name_user">

    </TextView>

    <ImageView
        android:id="@+id/post_image"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:scaleType="centerCrop"
        app:layout_constraintCircleRadius="10dp"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="16dp"
        android:layout_marginTop="8dp"
        android:src="@drawable/post_img_test"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/icon_image">

    </ImageView>

    <ImageView
        android:id="@+id/menu_button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="32dp"
        android:src="@drawable/feed_post_icon_menu"
        app:layout_constraintEnd_toEndOf="@+id/post_image"
        app:layout_constraintTop_toTopOf="parent">

    </ImageView>

    <ImageView
        android:id="@+id/like_image"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="14dp"
        android:layout_marginBottom="16dp"
        android:src="@drawable/feed_post_icon_like"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="@+id/post_image"
        app:layout_constraintTop_toBottomOf="@+id/post_image">

    </ImageView>

    <TextView
        android:id="@+id/count_like"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="6dp"
        android:text="100"
        android:textColor="@color/vulcan"
        app:layout_constraintBottom_toBottomOf="@+id/like_image"
        app:layout_constraintStart_toEndOf="@+id/like_image"
        app:layout_constraintTop_toTopOf="@+id/like_image">

    </TextView>

    <ImageView
        android:id="@+id/comment_image"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="24dp"
        android:src="@drawable/feed_post_icon_comment"
        app:layout_constraintBottom_toBottomOf="@+id/count_like"
        app:layout_constraintStart_toEndOf="@+id/count_like"
        app:layout_constraintTop_toTopOf="@+id/count_like">

    </ImageView>

    <TextView
        android:id="@+id/count_comment"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="6dp"
        android:text="15"
        android:textColor="@color/vulcan"
        app:layout_constraintBottom_toBottomOf="@+id/comment_image"
        app:layout_constraintStart_toEndOf="@+id/comment_image"
        app:layout_constraintTop_toTopOf="@+id/comment_image">

    </TextView>

    <ImageView
        android:id="@+id/repost_image"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="24dp"
        android:src="@drawable/feed_post_icon_share"
        app:layout_constraintBottom_toBottomOf="@+id/count_comment"
        app:layout_constraintStart_toEndOf="@+id/count_comment"
        app:layout_constraintTop_toTopOf="@+id/count_comment">

    </ImageView>

</androidx.constraintlayout.widget.ConstraintLayout>